diff --git a/connectd/connectd.c b/connectd/connectd.c
index 3320b6a1841..97a55417860 100644
--- a/connectd/connectd.c
+++ b/connectd/connectd.c
@@ -1060,12 +1060,15 @@ static struct wireaddr_internal *setup_listeners(const tal_t *ctx,
 		if (!(proposed_listen_announce[i] & ADDR_LISTEN))
 			continue;
 
-		if (!(proposed_listen_announce[i] & ADDR_ANNOUNCE))
-			continue;
-
 		if (proposed_wireaddr[i].itype != ADDR_INTERNAL_AUTOTOR)
 			continue;
-
+		if (!(proposed_listen_announce[i] & ADDR_ANNOUNCE)) {
+				tor_autoservice(tmpctx,
+						&proposed_wireaddr[i].u.torservice,
+						tor_password,
+						binding);
+			continue;
+		};
 		add_announcable(announcable,
 				tor_autoservice(tmpctx,
 						&proposed_wireaddr[i].u.torservice,
